package com.test;

import java.io.Serializable;

import javax.enterprise.context.RequestScoped;
import javax.inject.Named;

import com.ocpsoft.pretty.faces.annotation.URLAction;
import com.ocpsoft.pretty.faces.annotation.URLMapping;

@Named
@RequestScoped
@URLMapping(id = "test", pattern = "/do/#{testBean.url1}/#{testBean.url2}", viewId = "/test.xhtml")
public class TestBean implements Serializable {

	private static final long serialVersionUID = 6825472367932175211L;
	
	private String url1;
	private String url2;
	
	public void test() {
		System.out.println("POST TEST");
		System.out.println(url1);
		System.out.println(url2);
	}
	
	@URLAction
	public void init() {
		System.out.println("URL ACTION");
		System.out.println(url1);
		System.out.println(url2);
	}
	
	
	public String getUrl2() {
		return url2;
	}

	public void setUrl2(String url2) {
		this.url2 = url2;
	}

	public String getUrl1() {
		return url1;
	}

	public void setUrl1(String url1) {
		this.url1 = url1;
	}

}
